Package com.databricks.jdbc.api

## Interface IDatabricksConnectionContext

All Known Implementing Classes:
  `DatabricksConnectionContext`

    public interface IDatabricksConnectionContext

### Nested Class Summary

Nested Classes
`static class` `IDatabricksConnectionContext.AuthFlow`
`static class` `IDatabricksConnectionContext.AuthMech`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `enableTelemetry()`
`int` `getAsyncExecPollInterval()`
`IDatabricksConnectionContext.AuthFlow` `getAuthFlow()`
`IDatabricksConnectionContext.AuthMech` `getAuthMech()`
`String` `getCatalog()`
`String` `getClientId()`
`String` `getClientSecret()`
`DatabricksClientType` `getClientType()`
`String` `getClientUserAgent()`
`com.databricks.sdk.core.ProxyConfig.ProxyAuthType` `getCloudFetchProxyAuthType()`
`String` `getCloudFetchProxyHost()`
`String` `getCloudFetchProxyPassword()`
`int` `getCloudFetchProxyPort()`
`String` `getCloudFetchProxyUser()`
`int` `getCloudFetchThreadPoolSize()` Returns the number of threads to be used for fetching data from cloud storage
`CompressionType` `getCompressionType()`
`IDatabricksComputeResource` `getComputeResource()` Returns warehouse-Id as parsed from JDBC connection Url
`String` `getConnectionURL()`
`Boolean` `getDirectResultMode()`
`String` `getEndpointURL()`
`String` `getHostForOAuth()`
`String` `getHostUrl()` Returns host-Url for Databricks server as parsed from JDBC connection in format https://server:port
`String` `getHttpPath()`
`int` `getIdleHttpConnectionExpiry()`
`int` `getLogFileCount()`
`int` `getLogFileSize()`
`LogLevel` `getLogLevel()`
`String` `getLogPathString()`
`DatabricksMetrics` `getMetricsExporter()`
`List<String>` `getOAuthScopesForU2M()`
`com.databricks.sdk.core.ProxyConfig.ProxyAuthType` `getProxyAuthType()`
`String` `getProxyHost()`
`String` `getProxyPassword()`
`int` `getProxyPort()`
`String` `getProxyUser()`
`int` `getRateLimitRetryTimeout()`
`String` `getSchema()`
`Map<String,​String>` `getSessionConfigs()`
`int` `getTemporarilyUnavailableRetryTimeout()`
`String` `getToken()` Returns the auth token (personal access token/OAuth token etc)
`Boolean` `getUseCloudFetchProxy()`
`Boolean` `getUseLegacyMetadata()`
`Boolean` `getUseProxy()`
`Boolean` `getUseSystemProxy()`
`boolean` `isAllPurposeCluster()`
`boolean` `isFakeServiceTest()`
`Boolean` `shouldEnableArrow()`
`Boolean` `shouldRetryRateLimitError()`
`Boolean` `shouldRetryTemporarilyUnavailableError()`
`boolean` `supportManyParameters()`

### Method Detail

#### getHostUrl

    String getHostUrl()
               throws DatabricksParsingException

Returns host-Url for Databricks server as parsed from JDBC connection in format https://server:port

Returns:
  Databricks host-Url
Throws:
  `DatabricksParsingException`

#### getComputeResource

    IDatabricksComputeResource getComputeResource()

Returns warehouse-Id as parsed from JDBC connection Url

Returns:
  warehouse-Id

#### getToken

    String getToken()

Returns the auth token (personal access token/OAuth token etc)

Returns:
  auth token

#### getHostForOAuth

    String getHostForOAuth()

#### getClientId

    String getClientId()
                throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### getClientSecret

    String getClientSecret()

#### getOAuthScopesForU2M

    List<String> getOAuthScopesForU2M()
                               throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### getAuthMech

    IDatabricksConnectionContext.AuthMech getAuthMech()

#### getAuthFlow

    IDatabricksConnectionContext.AuthFlow getAuthFlow()

#### getLogLevel

    LogLevel getLogLevel()

#### getLogPathString

    String getLogPathString()

#### getLogFileSize

    int getLogFileSize()

#### getLogFileCount

    int getLogFileCount()

#### getClientUserAgent

    String getClientUserAgent()

#### getCompressionType

    CompressionType getCompressionType()

#### getCatalog

    String getCatalog()

#### getSchema

    String getSchema()

#### getSessionConfigs

    Map<String,​String> getSessionConfigs()

#### isAllPurposeCluster

    boolean isAllPurposeCluster()

#### getHttpPath

    String getHttpPath()

#### getProxyHost

    String getProxyHost()

#### getProxyPort

    int getProxyPort()

#### getProxyUser

    String getProxyUser()

#### getProxyPassword

    String getProxyPassword()

#### getUseProxy

    Boolean getUseProxy()

#### getProxyAuthType

    com.databricks.sdk.core.ProxyConfig.ProxyAuthType getProxyAuthType()

#### getUseSystemProxy

    Boolean getUseSystemProxy()

#### getUseCloudFetchProxy

    Boolean getUseCloudFetchProxy()

#### getCloudFetchProxyHost

    String getCloudFetchProxyHost()

#### getCloudFetchProxyPort

    int getCloudFetchProxyPort()

#### getCloudFetchProxyUser

    String getCloudFetchProxyUser()

#### getCloudFetchProxyPassword

    String getCloudFetchProxyPassword()

#### getCloudFetchProxyAuthType

    com.databricks.sdk.core.ProxyConfig.ProxyAuthType getCloudFetchProxyAuthType()

#### getEndpointURL

    String getEndpointURL()
                   throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### getAsyncExecPollInterval

    int getAsyncExecPollInterval()

#### shouldEnableArrow

    Boolean shouldEnableArrow()

#### getClientType

    DatabricksClientType getClientType()

#### getUseLegacyMetadata

    Boolean getUseLegacyMetadata()

#### getCloudFetchThreadPoolSize

    int getCloudFetchThreadPoolSize()

Returns the number of threads to be used for fetching data from cloud storage

#### getDirectResultMode

    Boolean getDirectResultMode()

#### getMetricsExporter

    DatabricksMetrics getMetricsExporter()

#### shouldRetryTemporarilyUnavailableError

    Boolean shouldRetryTemporarilyUnavailableError()

#### shouldRetryRateLimitError

    Boolean shouldRetryRateLimitError()

#### getTemporarilyUnavailableRetryTimeout

    int getTemporarilyUnavailableRetryTimeout()

#### getRateLimitRetryTimeout

    int getRateLimitRetryTimeout()

#### getIdleHttpConnectionExpiry

    int getIdleHttpConnectionExpiry()

#### supportManyParameters

    boolean supportManyParameters()

#### isFakeServiceTest

    boolean isFakeServiceTest()

#### enableTelemetry

    boolean enableTelemetry()

#### getConnectionURL

    String getConnectionURL()